﻿namespace ConsoleApp2;

public class CsvOptions
{
    /// <summary>
    /// The directory to input csv and sql file.
    /// </summary>
    public string InputDir { get; set; } = "./";
    /// <summary>
    /// The output directory.
    /// </summary>
    public string OutputDir { get; set; } = "./Output";

    /// <summary>
    /// The ASCII char that fields are enclosed by. Default is '"'.
    /// </summary>
    public char QuoteChar { get; set; } = '"';

    /// <summary>
    /// The ASCII char that fields are separated by. Default is ','.
    /// </summary>
    public char DelimiterChar { get; set; } = ',';

    /// <summary>
    /// The max number of threads to use.
    /// </summary>
    public int MaxThreads { get; set; } = 12;
}